Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class EndpointConfigurationInfo

    java.lang.Object
      org.jboss.portal.wsrp.consumer.EndpointConfigurationInfo

    public class EndpointConfigurationInfo

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 11484 $
Author:
  Chris Laprun

Field Summary
`static java.lang.String` | `UNSET`

Constructor Summary
`EndpointConfigurationInfo()`
`EndpointConfigurationInfo(ProducerInfo producerInfo)`
`EndpointConfigurationInfo(ProducerInfo producerInfo, ServiceFactory serviceFactory)`

Method Summary
`java.lang.Long` | `getKey()`
`WSRP_v1_Markup_PortType` | `getMarkupService()`
`java.lang.String` | `getMarkupURL()`
`WSRP_v1_PortletManagement_PortType` | `getPortletManagementService()`
`java.lang.String` | `getPortletManagementURL()`
`WSRP_v1_Registration_PortType` | `getRegistrationService()`
`java.lang.String` | `getRegistrationURL()`
`java.lang.String` | `getRemoteHostAddress()`
`WSRP_v1_ServiceDescription_PortType` | `getServiceDescriptionService()`
`java.lang.String` | `getServiceDescriptionURL()`
`ServiceFactory` | `getServiceFactory()`
`java.lang.String` | `getWsdlDefinitionURL()`
`boolean` | `isAvailable()`
`boolean` | `isRefreshNeeded()`
`void` | `refresh()`
`void` | `setKey(java.lang.Long key)`
`void` | `setMarkupURL(java.lang.String markupURL)`
`void` | `setPortletManagementURL(java.lang.String portletManagementURL)`
`void` | `setRegistrationURL(java.lang.String registrationURL)`
`void` | `setServiceDescriptionURL(java.lang.String serviceDescriptionURL)`
`void` | `setServiceFactory(ServiceFactory serviceFactory)`
`void` | `setUsesWSDL(boolean useWSDL)`
`void` | `setWsdlDefinitionURL(java.lang.String wsdlDefinitionURL)`
`void` | `start()`
`void` | `stop()`
`boolean` | `usesWSDL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSET

    public static final java.lang.String UNSET

See Also:
  Constant Field Values

Constructor Detail

### EndpointConfigurationInfo

    public EndpointConfigurationInfo()

### EndpointConfigurationInfo

    public EndpointConfigurationInfo(ProducerInfo producerInfo)

### EndpointConfigurationInfo

    public EndpointConfigurationInfo(ProducerInfo producerInfo,
                                     ServiceFactory serviceFactory)

Method Detail

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### usesWSDL

    public boolean usesWSDL()

### setUsesWSDL

    public void setUsesWSDL(boolean useWSDL)

### getWsdlDefinitionURL

    public java.lang.String getWsdlDefinitionURL()

### getServiceDescriptionURL

    public java.lang.String getServiceDescriptionURL()

### getMarkupURL

    public java.lang.String getMarkupURL()

### getPortletManagementURL

    public java.lang.String getPortletManagementURL()

### getRegistrationURL

    public java.lang.String getRegistrationURL()

### setServiceDescriptionURL

    public void setServiceDescriptionURL(java.lang.String serviceDescriptionURL)

### setMarkupURL

    public void setMarkupURL(java.lang.String markupURL)

### setRegistrationURL

    public void setRegistrationURL(java.lang.String registrationURL)

### setPortletManagementURL

    public void setPortletManagementURL(java.lang.String portletManagementURL)

### setWsdlDefinitionURL

    public void setWsdlDefinitionURL(java.lang.String wsdlDefinitionURL)
                              throws java.lang.RuntimeException

  Throws:
    `java.lang.RuntimeException`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getServiceFactory

    public ServiceFactory getServiceFactory()

### setServiceFactory

    public void setServiceFactory(ServiceFactory serviceFactory)

### getServiceDescriptionService

    public WSRP_v1_ServiceDescription_PortType getServiceDescriptionService()
                                                                     throws org.jboss.portal.portlet.InvokerUnavailableException

  Throws:
    `org.jboss.portal.portlet.InvokerUnavailableException`

### getMarkupService

    public WSRP_v1_Markup_PortType getMarkupService()
                                             throws org.jboss.portal.portlet.InvokerUnavailableException

  Throws:
    `org.jboss.portal.portlet.InvokerUnavailableException`

### getPortletManagementService

    public WSRP_v1_PortletManagement_PortType getPortletManagementService()
                                                                   throws org.jboss.portal.portlet.InvokerUnavailableException

  Throws:
    `org.jboss.portal.portlet.InvokerUnavailableException`

### getRegistrationService

    public WSRP_v1_Registration_PortType getRegistrationService()
                                                         throws org.jboss.portal.portlet.InvokerUnavailableException

  Throws:
    `org.jboss.portal.portlet.InvokerUnavailableException`

### isAvailable

    public boolean isAvailable()

### isRefreshNeeded

    public boolean isRefreshNeeded()

### refresh

    public void refresh()
                 throws org.jboss.portal.portlet.InvokerUnavailableException

  Throws:
    `org.jboss.portal.portlet.InvokerUnavailableException`

### getRemoteHostAddress

    public java.lang.String getRemoteHostAddress()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD